Commit d9b6d3fd authored by Sylvestre Ledru's avatar Sylvestre Ledru

* Make sure that we don't conflict openmp & libc++ with llvm-defaults's

* Handle better the non coinstability of openmp & libc++ (like we are doing
  with python-clang-*)
parent c1cb7005
......@@ -3,6 +3,9 @@ llvm-toolchain-7 (1:7-8) unstable; urgency=medium
* Update the watch file to display the right version
(even if the download will fail)
* clang-7 suggests libomp-7-dev instead of libomp-dev
* Make sure that we don't conflict openmp & libc++ with llvm-defaults's
* Handle better the non coinstability of openmp & libc++ (like we are doing
with python-clang-*)
-- Sylvestre Ledru <sylvestre@debian.org> Sat, 20 Oct 2018 16:00:58 +0200
......
......@@ -476,16 +476,18 @@ Description: Next generation, high-performance debugger, header files
# ------------- openmp -------------
# 44 because it was the first version in which openmp & libc++ have been
# managed in llvm-defaults
Package: libomp-7-dev
Section: libdevel
Architecture: amd64 arm64 armhf i386 mips64el ppc64el ppc64
Depends: libomp5-7 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Suggests: libomp-7-doc
Breaks: libiomp-dev (<< 3.7-1), libomp-dev (<< 7~+rc1-1~exp1)
Conflicts: libomp-dev
Replaces: libomp-dev
Provides: libomp-dev
Breaks: libiomp-dev (<< 3.7-1), libomp-dev (<< 44)
Provides: libomp-x.y-dev
Conflicts: libomp-x.y-dev
Replaces: libomp-x.y-dev
Description: LLVM OpenMP runtime - dev package
The runtime is the part of the OpenMP implementation that your code is
linked against, and that manages the multiple threads in an OpenMP program
......@@ -495,11 +497,10 @@ Package: libomp5-7
Multi-Arch: same
Architecture: amd64 arm64 armhf i386 mips64el ppc64el ppc64
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: libomp5 (<< 7~+rc1-1~exp1)
Conflicts: libomp5
Replaces: libomp5
Provides: libomp5
# TODO add the break depends
Breaks: libomp5 (<< 44)
Provides: libomp-x.y
Conflicts: libomp-x.y
Replaces: libomp-x.y
Description: LLVM OpenMP runtime
The runtime is the part of the OpenMP implementation that your code is
linked against, and that manages the multiple threads in an OpenMP program
......@@ -509,8 +510,8 @@ Package: libomp-7-doc
Section: doc
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, libjs-jquery
Replaces: libiomp-doc
Breaks: libiomp-doc
Replaces: libiomp-x.y-doc
Breaks: libiomp-x.y-doc
Description: LLVM OpenMP runtime - Documentation
The runtime is the part of the OpenMP implementation that your code is
linked against, and that manages the multiple threads in an OpenMP program
......@@ -527,10 +528,10 @@ Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: clang
Breaks: libc++1 (<< 7~+rc1-1~exp1)
Conflicts: libc++1
Replaces: libc++1
Provides: libc++1
Breaks: libc++1 (<< 44)
Provides: libc++-x.y
Conflicts: libc++-x.y
Replaces: libc++-x.y
Description: LLVM C++ Standard library
libc++ is another implementation of the C++ standard library.
.
......@@ -549,10 +550,10 @@ Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libc++1-7 (= ${binary:Version}), ${misc:Depends}
Breaks: libc++-dev (<< 7~+rc1-1~exp1)
Conflicts: libc++-dev
Provides: libc++-dev
Replaces: libc++-dev
Breaks: libc++-dev (<< 44)
Provides: libc++-x.y-dev
Conflicts: libc++-x.y-dev
Replaces: libc++-x.y-dev
Description: LLVM C++ Standard library (development files)
libc++ is another implementation of the C++ standard library
.
......@@ -574,10 +575,10 @@ Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: libc++abi1 (<< 7~+rc1-1~exp1)
Conflicts: libc++abi1
Provides: libc++abi1
Replaces: libc++abi1
Breaks: libc++abi1 (<< 44)
Provides: libc++abi-x.y
Conflicts: libc++abi-x.y
Replaces: libc++abi-x.y
Description: LLVM low level support for a standard C++ library
libc++abi is another implementation of low level support for a standard C++
library.
......@@ -592,10 +593,10 @@ Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libc++abi1-7 (= ${binary:Version}), ${misc:Depends}
Breaks: libc++abi-dev (<= 6.0.1-1),
Conflicts: libc++abi-dev
Provides: libc++abi-dev
Replaces: libc++abi-dev
Breaks: libc++abi-dev (<= 44)
Provides: libc++abi-x.y-dev
Conflicts: libc++abi-x.y-dev
Replaces: libc++abi-x.y-dev
Description: LLVM low level support for a standard C++ library (development files)
libc++abi is another implementation of low level support for a standard C++
library.
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment